<div class="container back">
  <h1>Registracija</h1>
  <p>Molimo Vas popunite polja ne bi li se registrvali.</p>

  <form class="ui form" [formGroup]="registerForm" (ngSubmit)="register()">

    <div class="required fluid field" [ngClass]="{ errror: nameHasErrors()}">
      <label>Ime</label>
      <input type="text" placeholder="Unesite ime" formControlName="name"/>
    </div>
    <div class="ui negative message" *ngIf="nameErrorMessage().length > 0">
      <ul class="list">
        <li *ngFor="let errorMessage of nameErrorMessage()">{{ errorMessage }}</li>
      </ul>
    </div>

    <div class="required fluid field" [ngClass]="{ errror: lastnameHasErrors()}">
      <label>Prezime</label>
      <input type="text" placeholder="Unesite prezime" formControlName="lastname">
    </div>
    <div class="ui negative message" *ngIf="lastnameErrorMessage().length > 0">
      <ul class="list">
        <li *ngFor="let errorMessage of lastnameErrorMessage()">{{ errorMessage }}</li>
      </ul>
    </div>

    <div class="required fluid field" [ngClass]="{ errror: emailHasErrors()}">
      <label>Email</label>
      <input type="text" placeholder="Unesite email" formControlName="email">
    </div>
    <div class="ui negative message" *ngIf="emailErrorMessage().length > 0">
      <ul class="list">
        <li *ngFor="let errorMessage of emailErrorMessage()">{{ errorMessage }}</li>
      </ul>
    </div>
    <div class="required fluid field" [ngClass]="{ errror: passwordHasErrors()}">
      <label>Lozinka</label>
      <input type="password" placeholder="Unesite password" formControlName="password">
    </div>
    <div class="ui negative message" *ngIf="passwordErrorMessage().length > 0">
      <ul class="list">
        <li *ngFor="let errorMessage of passwordErrorMessage()">{{ errorMessage }}</li>
      </ul>
    </div>
    <button class="ui fluid button" type="submit">Registrujte se</button>
  </form>

  <div class="container signin">
    <p>Već imate nalog? <a routerLink="/login" >Prijavite se</a>.</p>
  </div>
</div>
